RDMnet::LLRP::Manager Class Reference

5.1.1 LLRP Manager LLRP Managers issue LLRP discovery probes and issue configuration change commands. More...

`#include <manager.h>`

Inheritance diagram for RDMnet::LLRP::Manager:
[legend]

## Public Member Functions

| Manager (UUID::uuid=UUID::uuid())
| Manager::Manager. More...
void | rlpLlrpReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Broker::rlpBrokerReceiver. More...
virtual void | sendProbeRequest ()
| sendProbeRequest
virtual void | receiveProbeReply ()
| receiveProbeReply
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Additional Inherited Members

Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...
Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

5.1.1 LLRP Manager LLRP Managers issue LLRP discovery probes and issue configuration change commands.

LLRP Managers might be found on lighting consoles or other configuration tool equipment.

## Constructor & Destructor Documentation

## Manager()

RDMnet::LLRP::Manager::Manager | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Manager::Manager.

Parameters

  cid |

Here is the call graph for this function:

## Member Function Documentation

## rlpLlrpReceiver()

void RDMnet::LLRP::Manager::rlpLlrpReceiver | ( | ACN::PDU::Message< ACN::RLP::Pdu > | root | ) |

Broker::rlpBrokerReceiver.

Parameters

  root |

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/manager.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/manager.cpp